import re
import json
from ..services import printer


from ..services import client
from terminal import *

def create(json=None, file=None):
    json = json or file

    s = client.create_job(json)
    printer.done('Job created: %s' % s.JobId)


def transform_json(s):
    return json.loads(s)

def transform_file(f=None):
    if not f:
        raise Exception('A valid file path is required')

    if f.startswith('/') or f.startswith('~/') or  re.match(r'^\w\:',f):
        p = f
    else:
        p = os.path.join(os.getcwd(), f)
    with open(p) as f:
        return json.loads(f.read())