import os
import json

def msg():
    lang = get_lang('en')
    return eval('locale.%s.getJSON()' % lang)

def get_lang(default_lang):
    usr_home = os.path.expanduser('~')
    cfg_dir = os.path.join(usr_home, '.batchcompute');
    try:
        with open(os.path.join(cfg_dir, 'profile.json')) as f:
            st = f.read()
            obj = json.loads(st)
            return obj.get('lang') or default_lang
    except IOError as e:
        return default_lang
