package com.aliyun.batchcompute.job;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

public class Util {

    public static String getStringFromInputStream(InputStream is){

        BufferedReader br = new BufferedReader(new InputStreamReader(is));


        StringBuilder sb = new StringBuilder();
        String line = null;
        try {


            while ((line = br.readLine()) != null) {
                sb.append(line).append("\n");
            }

        } catch (IOException e) {
            e.printStackTrace();
        }
        finally {

            try {
                if(is!=null) is.close();
            } catch (IOException e) {
                e.printStackTrace();
            }

        }
        return sb.toString();
    }
}
