from ..services import client, printer
from terminal import bold, magenta

def list(platform=''):
    image_list = client.list_images()
    t = printer.filter_list(image_list, {'Platform':{'like':platform}})

    print('\n%s' % bold(magenta('Images:')))
    printer.print_arr(t,['ImageId','ImageName','Platform','Description'])
    printer.total(len(t))
    print('')

def transform_platform(platform=''):
    platform = platform.lower()
    if platform in 'linux':
        return 'Linux'
    elif platform in 'windows':
        return 'Windows'
    else:
        return ''
