from ..services import project,oss_client,client,printer
import json
import os

def submit():
    project.check_is_job_project()

    with open('job.json') as f:
        obj = json.loads(f.read())

    pkgUri = ''
    for k in obj['TaskDag']['TaskDescMap']:
        pkgUri = obj['TaskDag']['TaskDescMap'][k]['PackageUri']
        break

    print('upload worker.tar.gz to oss...')
    oss_client.upload(pkgUri, os.path.join(os.getcwd(), 'worker.tar.gz'))

    print('creating job..')
    p = os.path.join(os.getcwd(), 'job.json')
    with open(p) as f:
        job_str= json.loads(f.read())


    s = client.create_job(job_str)
    printer.done('Job created: %s' % s.JobId)