
try:
    import ConfigParser
except:
    import configparser as ConfigParser

import os

cf = ConfigParser.ConfigParser()

usr_home = os.path.expanduser('~')
cfg_dir = os.path.join(usr_home, '.batchcompute')
cfg_path = os.path.join(cfg_dir, 'profile.conf')

COMMON = 'common'

def getConfigs(section, keys):
    '''
    section: currently support 'common' only
    keys: array, example: ['region','accesskeyid']
    '''
    if(os.path.exists(cfg_path)):
        cf.read(cfg_path)
        mk={}
        for k in keys:
            try:
                mk[k] = cf.get(section, k)
            except:
                pass
        return mk
    else:
        return None

def setConfig(section, key , value):
    if(not os.path.exists(cfg_dir)):
        os.makedirs(cfg_dir)

    if(not os.path.exists(cfg_path)):
        with open(cfg_path,'w') as f:
            f.write('')

    if(os.path.exists(cfg_path)):
        with open(cfg_path,'w') as f:
            if section not in cf.sections():
                cf.add_section(section)
            cf.set(section, key, value)
            cf.write(f)
            return True
    return False
