
from batchcomputecli.tests.util import *

def setUp():
    v = cmd('bcs login %s %s %s' % (REGION, ACCESS_ID, ACCESS_KEY))
    assert 'login success' in v

def test_images():
    v = cmd('bcs images')
    assert 'ImageId' in v
    assert 'Platform' in v

def test_images_help():
    v = cmd('bcs img -h')
    assert 'Usage:' in v
    assert 'Options:' in v
