
from batchcomputecli.tests.util import *


def setUp():
    v = cmd('bcs login %s %s %s' % (REGION, ACCESS_ID, ACCESS_KEY))
    assert 'login success' in v

def test_jobs_help():
    v = cmd('bcs jobs -h')
    assert 'Usage:' in v
    assert 'Options:' in v

def test_jobs():
    v = cmd('bcs jobs')
    assert 'JobId' in v
    assert 'JobName' in v
    assert 'Progress' in v

def test_jobs_filter_state():
    v = cmd('bcs jobs -s Finished -o StartTime -d false')
    assert not 'Failed' in v
    assert 'Finished' in v
