import unittest
from batchcomputecli.tests.util import *

class TestLogin(unittest.TestCase):

    def test_help(self):
        v = cmd('bcs')
        assert 'Usage:' in v
        assert 'Options:' in v

    def test_login(self):
        v = cmd('bcs login %s %s %s' % (REGION, ACCESS_ID, ACCESS_KEY))
        assert 'login success' in v

    def test_me(self):
        v = cmd('bcs me')
        assert 'region:' in v
        assert REGION in v
        assert 'accesskeyid:' in v

if __name__ == '__main__':
    unittest.main()
